Cant update need new iTunes ERROR

Discussion in 'iOS 7' started by realizment, Sep 18, 2013.

  1. realizment macrumors member

    Joined:
    Oct 22, 2012
    #1
    Hey guys,

    I know lots of people having issues but is anyone having an issue where itunes tells them ""A new iPhone software version (7.0) is available, but requires iTunes 11.0.5. Would you like to download iTunes 11.0.5 now?""


    My iTunes is 11.0.5 - I am 10000% certain of this. Ive restarted a couple of times and have no idea why it does recognize itself. When I click about or check for updates it says it is up to date.

    Ps i cant upgrade from phone says ios 6.1.4 is the latest any ideas guys?

    Thank you
     
  2. pmontanarella macrumors 6502

    Joined:
    Oct 12, 2012
    Location:
    Rio de Janeiro, Brazil
    #2
    Error in the message. You need iTunes 11.1.

    You can find it in the mac app store.
     
  3. brian017 macrumors regular

    Joined:
    Mar 10, 2012
    Location:
    Kilkenny, Ireland
  4. realizment thread starter macrumors member

    Joined:
    Oct 22, 2012
    #4

    Oh ok. iTunes doesnt find it automatically?

    ----------

    Positive i copy pasted exactly what it said.
     
  5. guppy34 macrumors newbie

    guppy34

    Joined:
    Aug 10, 2013
    Location:
    Texas, USA
    #5
    Need iTunes 11.0.5, but have 11.0.5???

    Having the same problem...checked it twice and even had my son re-read it. If just a typo, ok, will check on getting 11.1.
     
  6. realizment thread starter macrumors member

    Joined:
    Oct 22, 2012
  7. pmontanarella macrumors 6502

    Joined:
    Oct 12, 2012
    Location:
    Rio de Janeiro, Brazil
    #7


    Just go to the mac app store to get it or here

    ----------

    Get it here http://www.apple.com/itunes/download/
     
  8. realizment thread starter macrumors member

    Joined:
    Oct 22, 2012
  9. guppy34 macrumors newbie

    guppy34

    Joined:
    Aug 10, 2013
    Location:
    Texas, USA
    #9
    Decided to download directly to the phone rather than update iTunes first. Servers must be getting slammed as noted by many others, although the estimated time remaining did drop from 4hrs to 1hr! Wish me luck!

    Thanks for all the help on these forums!
     
  10. FamiliaPhoto macrumors 6502a

    FamiliaPhoto

    Joined:
    Jul 24, 2009
    Location:
    Chicago, IL
    #10
    Get it here http://www.apple.com/itunes/download/[/QUOTE]

    I did the above and did a full install and about iTunes says it is on 11.0.5 and it still says I need to upgrade. This is very strange.
     
  11. realizment thread starter macrumors member

    Joined:
    Oct 22, 2012
    #11
    I did the above and did a full install and about iTunes says it is on 11.0.5 and it still says I need to upgrade. This is very strange.[/QUOTE]

    Very strange. - No itunes on my app store then i went to this link hit download 3 times, hit save but boom NO DOWNLOAD? Haha WTF.
     
  12. casualforce macrumors newbie

    Joined:
    Sep 18, 2013
    #12
    mine kept saying 11.0.5...

    It seems to mean 11.1 which the itunes on my mac about 5 years old, doesn't seem to think exists. I went to the link pmontanarella posted above and everything went great. Thanks Pm
     
  13. guppy34 macrumors newbie

    guppy34

    Joined:
    Aug 10, 2013
    Location:
    Texas, USA
    #13
    Wants iTunes 11.1 to use iPhone w/iOS7

    Just FYI...if you download iOS7 directly to your phone (as I did), you will still have to upgrade iTunes to 11.1 (I currently have 11.0.5) in order to use your newly updated phone with iTunes. :rolleyes:
     

Share This Page